Module tdlight.api
Package it.tdlight.jni

# Class TdApi.EmojiReaction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.EmojiReaction

Enclosing class:
  TdApi

public static final class TdApi.EmojiReaction extends TdApi.Object
Contains information about an emoji reaction.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.Sticker`
`activateAnimation`
Activate animation for the reaction.
`TdApi.Sticker`
`appearAnimation`
Appear animation for the reaction.
`TdApi.Sticker`
`aroundAnimation`
Around animation for the reaction; may be null.
`TdApi.Sticker`
`centerAnimation`
Center animation for the reaction; may be null.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.Sticker`
`effectAnimation`
Effect animation for the reaction.
`String`
`emoji`
Text representation of the reaction.
`boolean`
`isActive`
True, if the reaction can be added to new messages and enabled in chats.
`TdApi.Sticker`
`selectAnimation`
Select animation for the reaction.
`TdApi.Sticker`
`staticIcon`
Static icon for the reaction.
`String`
`title`
Reaction title.

## Constructor Summary

Constructors
Constructor
Description
`EmojiReaction()`
Contains information about an emoji reaction.
`EmojiReaction(DataInput input)`
Contains information about an emoji reaction.
`EmojiReaction(String emoji, String title, boolean isActive, TdApi.Sticker staticIcon, TdApi.Sticker appearAnimation, TdApi.Sticker selectAnimation, TdApi.Sticker activateAnimation, TdApi.Sticker effectAnimation, TdApi.Sticker aroundAnimation, TdApi.Sticker centerAnimation)`
Contains information about an emoji reaction.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### emoji

public String emoji
Text representation of the reaction.

### title

public String title
Reaction title.

### isActive

public boolean isActive
True, if the reaction can be added to new messages and enabled in chats.

### staticIcon

public TdApi.Sticker staticIcon
Static icon for the reaction.

### appearAnimation

public TdApi.Sticker appearAnimation
Appear animation for the reaction.

### selectAnimation

public TdApi.Sticker selectAnimation
Select animation for the reaction.

### activateAnimation

public TdApi.Sticker activateAnimation
Activate animation for the reaction.

### effectAnimation

public TdApi.Sticker effectAnimation
Effect animation for the reaction.

### aroundAnimation

public TdApi.Sticker aroundAnimation
Around animation for the reaction; may be null.

### centerAnimation

public TdApi.Sticker centerAnimation
Center animation for the reaction; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### EmojiReaction

public EmojiReaction()
Contains information about an emoji reaction.

### EmojiReaction

public EmojiReaction(String emoji, String title, boolean isActive, TdApi.Sticker staticIcon, TdApi.Sticker appearAnimation, TdApi.Sticker selectAnimation, TdApi.Sticker activateAnimation, TdApi.Sticker effectAnimation, TdApi.Sticker aroundAnimation, TdApi.Sticker centerAnimation)
Contains information about an emoji reaction.

Parameters:
  `emoji` - Text representation of the reaction.
  `title` - Reaction title.
  `isActive` - True, if the reaction can be added to new messages and enabled in chats.
  `staticIcon` - Static icon for the reaction.
  `appearAnimation` - Appear animation for the reaction.
  `selectAnimation` - Select animation for the reaction.
  `activateAnimation` - Activate animation for the reaction.
  `effectAnimation` - Effect animation for the reaction.
  `aroundAnimation` - Around animation for the reaction; may be null.
  `centerAnimation` - Center animation for the reaction; may be null.

### EmojiReaction

public EmojiReaction(DataInput input) throws IOException
Contains information about an emoji reaction.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`